require 'rspec/core/rake_task'

module Rake
  module Rspec
    module Tasks
      RSpec::Core::RakeTask.new(:spec) do |task|
        task.exclude_pattern = 'spec/integration/**/*_spec.rb'
      end

      RSpec::Core::RakeTask.new(:integration) do |task|
        task.pattern = 'spec/integration/**/*_spec.rb'
      end

      RSpec::Core::RakeTask.new(:all)
    end
  end
end
